Page MenuHomePhabricator

elementary: add internal Efl_Ui_Model_Average.
ClosedPublic

Authored by cedric on Jan 16 2019, 6:29 PM.

Details

Summary

This model enable View that require to compute the size of their item
to rely on its logic to store all items size independently. It has the
same interface as the Homogeneous and should be exchangeable for a View.
It provide an average total size at all time. It use Efl.Ui.Model_Exact
to do most of the work and is a good example on how to alter a Model
logic.

Depends on D7660

Diff Detail

Repository
rEFL core/efl
Branch
T7382-devs/cedric/homogeneous
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 8916
cedric created this revision.Jan 16 2019, 6:29 PM
segfaultxavi requested changes to this revision.Jan 17 2019, 3:23 AM

Same comments as Efl.Ui.Model_Exact.

This revision now requires changes to proceed.Jan 17 2019, 3:23 AM
cedric updated this revision to Diff 18581.Jan 17 2019, 4:44 PM
cedric edited the summary of this revision. (Show Details)

Rebase and improve documentation.

segfaultxavi added inline comments.Jan 18 2019, 3:44 AM
src/lib/elementary/efl_ui_model_average.eo
6

Do not mix $ and quotes. Use only $.

13

You cannot say "again", because maybe the reader went straight to this class and knows nothing about the other Efl.Ui.Model_Size classes.

cedric added inline comments.Jan 18 2019, 9:51 AM
src/lib/elementary/efl_ui_model_average.eo
6

The issue I have is that in every language, this are going to be string. So I want to make sure that people understand that they are strings. Any recommendation in that regards?

cedric updated this revision to Diff 18638.Jan 18 2019, 12:43 PM

Rebase and fix syntax.

segfaultxavi added inline comments.Jan 22 2019, 7:24 AM
src/lib/elementary/efl_ui_model_average.eo
6

Understood! I recommend $"Total.Width", with quotes also monospaced. Please update the rest of patches in the stack.

cedric updated this revision to Diff 18772.Jan 23 2019, 2:44 PM

Rebase and fix documentation.

cedric updated this revision to Diff 18819.Jan 24 2019, 3:39 PM

Rebase and fix doc.

cedric updated this revision to Diff 18902.Jan 25 2019, 3:01 PM

Rebase and rename.

segfaultxavi resigned from this revision.Jan 28 2019, 5:50 AM

Docs look good to me. Will handle any outstanding issues in a separate commit.

Resigning as reviewer so somebody else can review the rest of the patch.

SanghyeonLee accepted this revision.Jan 29 2019, 2:18 AM

looks good to me.

This revision is now accepted and ready to land.Jan 29 2019, 2:18 AM
This revision was automatically updated to reflect the committed changes.